For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dropbox Sign WebSDKsSign Up
DocumentationAPIChangelog
DocumentationAPIChangelog
  • API Quickstart
  • API Reference
    • Welcome
    • Authentication
    • Account
    • Signature Request
      • GETGet Signature Request
      • GETList Signature Requests
      • GETDownload Files
      • GETDownload Files as Data Uri
      • GETDownload Files as File Url
      • POSTSend Signature Request
      • POSTSend with Template
      • POSTBulk Send with Template
      • POSTSend Request Reminder
      • POSTRelease On-Hold Signature Request
      • POSTUpdate Signature Request
      • POSTCancel Incomplete Signature Request
      • POSTRemove Signature Request Access
      • POSTEmbedded Bulk Send with Template
      • POSTCreate Embedded Signature Request
      • POSTCreate Embedded Signature Request with Template
      • PUTEdit Signature Request
      • PUTEdit Embedded Signature Request
      • PUTEdit Embedded Signature Request with Template
      • PUTEdit Signature Request With Template
    • Template
    • Bulk Send Job
    • Report
    • Team
    • Unclaimed Draft
    • Embedded
    • API App
    • Fax
    • Fax Line
  • Manual Reference Pages
    • Warnings and Errors
    • Constants
    • Search
    • Premium Branding
    • Expiration
LogoLogo
Dropbox Sign WebSDKsSign Up
API ReferenceSignature Request

Cancel Incomplete Signature Request

||View as Markdown|
POST
https://api.hellosign.com/v3/signature_request/cancel/:signature_request_id
POST
/v3/signature_request/cancel/:signature_request_id
$curl -X POST 'https://api.hellosign.com/v3/signature_request/cancel/{signature_request_id}' \
> -u 'YOUR_API_KEY:'
1{}
Cancels an incomplete signature request. This action is **not reversible**. The request will be canceled and signers will no longer be able to sign. If they try to access the signature request they will receive a HTTP 410 status code indicating that the resource has been deleted. Cancelation is asynchronous and a successful call to this endpoint will return an empty 200 OK response if the signature request is eligible to be canceled and has been successfully queued. This 200 OK response does not indicate a successful cancelation of the signature request itself. The cancelation is confirmed via the `signature_request_canceled` event. It is recommended that a [callback handler](/api/reference/tag/Callbacks-and-Events) be implemented to listen for the `signature_request_canceled` event. This callback will be sent only when the cancelation has completed successfully. If a callback handler has been configured and the event has not been received within 60 minutes of making the call, check the status of the request in the [API Dashboard](https://app.hellosign.com/apidashboard) and retry the cancelation if necessary. To be eligible for cancelation, a signature request must have been sent successfully, must not yet have been signed by all signers, and you must either be the sender or own the API app under which it was sent. A partially signed signature request can be canceled. **NOTE:** To remove your access to a completed signature request, use the endpoint: `POST /signature_request/remove/[:signature_request_id]`.
Was this page helpful?
Previous

Update Signature Request

Next

Remove Signature Request Access

Built with

Cancels an incomplete signature request. This action is not reversible.

The request will be canceled and signers will no longer be able to sign. If they try to access the signature request they will receive a HTTP 410 status code indicating that the resource has been deleted. Cancelation is asynchronous and a successful call to this endpoint will return an empty 200 OK response if the signature request is eligible to be canceled and has been successfully queued.

This 200 OK response does not indicate a successful cancelation of the signature request itself. The cancelation is confirmed via the signature_request_canceled event. It is recommended that a callback handler be implemented to listen for the signature_request_canceled event. This callback will be sent only when the cancelation has completed successfully. If a callback handler has been configured and the event has not been received within 60 minutes of making the call, check the status of the request in the API Dashboard and retry the cancelation if necessary.

To be eligible for cancelation, a signature request must have been sent successfully, must not yet have been signed by all signers, and you must either be the sender or own the API app under which it was sent. A partially signed signature request can be canceled.

NOTE: To remove your access to a completed signature request, use the endpoint: POST /signature_request/remove/[:signature_request_id].

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:)>.

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

signature_request_idstringRequired
The id of the incomplete SignatureRequest to cancel.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation

Errors

4XX
Client Request Error